Welcome to MerlinoEditor

Welcome to

is a graphical tool to help users configure 1/5-Series controllers. These configurations include: writing circuit programs, transfering data between PC and 1/5-Series, setting communication ports parameters, and more.

You can run on Windows XP/2000/2003/Vista/7.

Recommended System Requirements
Items | Recommended System Requirements
CPU | 1 GHz 32-bit (x86) or 64-bit (x64) processor
Main Memory | At least 512 MB of memory
Hard Drive | 1 GB of space with at least 300 MB of available space
Monitor | At least 640 x 480 with full color
Mouse | Windows compatible
RS-232/485 Port | COM1 to COM256

This document introduces the operation of If you are not familar with this application, please go to user interface before continuing this documentation for more information.

You can learn how to create a circuit program, edit the layout, save documentation and simulate the program in tutorial.


The Overview of User Interface

You can see the whole user interface of after creating a new circuit program. The programming interface for creating your circuit programs captures the main part of the screen. The icons and logical links of the circuit program are organized on this programming interface.

The right side and the bottom of the programming interface contain scroll bars which help you to maintain an overview of large circuit programs. You can use both of the scroll bars for vertical and horizontal scrolling of the circuit program.

1. | Menu bar
2. | Standard toolbar
3. | Programming interface
4. | Information window
5. | Status bar
6.
  • Constants
  • Basic functions
  • Special functions

Menu Bar
The menu bar is located at the top of the program window. You can find lots of commands on the menu bar for editing and managing your circuit programs. You can also define the default settings, transfer circuit programs between PC and 1/5-Series.

Standard Toolbar
The standard toolbar is located below the menu bar. When you open a circuit program, shows you the standard toolbar that provides the fundamental functions. You can use the icons to create a new circuit program, open and save an existing program, cut/copy/paste and delete objects, undo/redo your editings, transfer data between PC and 1/5-Series, and more.

Programming Interface
You can edit your circuit programs here.

Information Window
The information window, located at the bottom of the programming interface, displays information and records.

Status Bar
The status bar is located at the bottom of the program window. It shows the tip of the selected tool, the program status and the zoom factor.


Description of the Status Bar

The status bar is split into several sections and contains useful information about the circuit program.

1. | Shows the window below when the icon is pressed.
2. | Displays the type number of selected 1/5-Series.
3. | Displays the current zoom factor.
4. | Indicates if the NUM LOCK button is pressed..


Description of the Information Window

The infomation window displays successful or failed messages for the following functions.
  1. PC [image] Device
  2. Device [image] PC
  3. RTC Settings
  4. RTC Calibration
  5. Summer Time/Winter Time Settings
  6. Clear User Program and Password


Function Keys and Shortcuts
Function keys and shortcuts help provide an easier and quicker method of navigating and using It is highly recommended that all users keep a good reference of the below list or try to memorize the below keys. Doing so helps increase your productivity.
Function Keys in
[F1] | Open the online help
[F3] | Start/Exit the simulation
[F5] | Connector tool
[F11] | Cut/Join Connection tool
Shortcuts in In the File Menu
[Ctrl+N] | New
[Ctrl+O] | Open
[Ctrl+F4] | Close
[Ctrl+S] | Save
[Ctrl+P] | Print
[Alt+F4] | Exit
In the Edit Menu
[Ctrl+Z] | Undo
[Ctrl+Y] | Redo
[Ctrl+X] | Cut
[Ctrl+C] | Copy
[Ctrl+V] | Paste
[Delete] | Delete
[Ctrl+A] | Select All
In the Tools Menu
[Ctrl+D] | Transfer -> PC -> Device
[Ctrl+U] | Transfer -> Device -> PC


Menu Bar Overview

The menu bar contains the below menu commands.
  • File Menu
  • Edit Menu
  • View Menu
  • Tools Menu
  • Options Meun
  • Window Menu
  • Help Menu


File Menu Overview

This menu contains commands for file management.
  • New
  • Open
  • Close
  • Save
  • Save As
  • Print
  • Print Preview
  • Page Setup
  • Recent Files
  • Exit


New

File [image] New
The command creates a new, empty circuit program. A window opens with a number of tabs where you can specify the properties of the circuit program you will create. The window can be called later to enter or modify the properties with the Options -> Properties menu.

An icon for this menu command is also available in the standard toolbar.


Open

File [image] Open
The command opens a dialog box, where you can select and open an already created circuit program for further editing on the programming interface. Circuit programs created in have the file extension *.ipl. The loaded circuit program is opened in a new window.

You can also open a circuit program by the following 2 ways.
  • In Windows you can drag and drop a circuit program file to the programming interface. When you release this file on the programming interface, opens it in a new window.
  • Double click a file with the extension *.ipl in the file manager, and then automatically opens the file.
An icon for this menu command is also found in the standard toolbar.


Close

File [image] Close
Use this command to close the active window. opens a window to prompt you to save the circuit program with unsaved changes.


Save

File [image] Save
When you initially save a newly created program, a window opens. You can specify the path and filename under which you want to save your circuit program in the window. More details are discussed under File -> Save As.

When you save a modified version of an existing program, the old version of the circuit program is overwritten by the revised one. The new program is saved to the same path and filename as the source file.

An icon for this menu command is also available in the standard toolbar.


Save As...

File [image] Save As
This command opens a dialog box for you to specify the path and filename under which the current circuit program can be saved. This makes you be able to save modified programs under a different filename or folder.

The default filename extension forcircuit programs is *.ipl.


Print

File [image] Print

This command opens a dialog box for you to select the scope of information to print. You can specify your default printer and the print properties in the Print Setup dialog box. In the control panel of your computer, you can specify advanced printer settings.

Set the page format under File -> Page Setup.


Print Preview

File [image] Print Preview
This command shows what a hardcopy of your circuit program looks like. Choose the appropriate icons to scroll the pages, zoom the window or to start printing directly.


Page Setup

File [image] Page Setup

Use this command to open a dialog box, where you can specify the printer, paper format, page margins, whether to print in portrait or landscape format, etc.


Recent Files

File [image] Recent Files
automatically records the files that were recently opened.


Exit

File [image] Exit

Use this command to clsoe opens a window to prompt you to save the documents with unsaved changes. In this window you can select specific circuit programs to be saved.


Edit Menu Overview

In this menu you can find commands for editing circuit programs.

  • Undo
  • Redo
  • Cut
  • Copy
  • Paste
  • Delete
  • Select All
  • Block Properties
  • Search By Type
  • Search By Name


Undo

Edit [image] Undo

This command allows you to undo up to 30 actions carried out on the programming interface. You can also do this by the shortcut key : [Ctrl+Z].

An icon for this menu command is also found in the standard toolbar.


Redo

Edit [image] Redo

This command reverts the last up to 30 undo actions. You can also do this by the shortcut key : [Ctrl+Y].

An icon for this menu command is also found in the standard toolbar.


Cut

Edit [image] Cut

This command deletes one or more selected objects from the programming interface and copies them to the clipboard.

An icon for this menu command is also found in the standard toolbar.


Copy

Edit [image] Copy
This command copys one or more selected objects to the clipboard.

An icon for this menu command is also found in the standard toolbar.


Paste

Edit [image] Paste

This command copies the clipboard contents to the programming interface.

An icon for this menu command is also found in the standard toolbar.


Delete

Edit [image] Delete

This command deletes one or more selected objects without copying them to the clipboard. You can retrieve deleted objects with the Undo command.

An icon for this menu command is also found in the standard toolbar.


Select All

Edit [image] Select All

This command selects all objects on the programming interface.


Block Properties

Edit [image] Block Properties

This command shows the block properties of a block selected on the programming interface.

The Block Properties dialog box consists of several tabs. Every block has Comment and Parameter tabs where you can enter related block comments and describe specific block parameters respectively. Parameters of input simulation are configured from the Simulation tab.

You can also call the block properties by right-clicking on the selected block, and then select the block properties menu command from the shortcut menu.


Go To Block

Edit [image] Go To Block

This command helps users find any block easily and quickly.


View Menu Overview

In this menu you can decide to show or hide various display windows.

  • Toolbar
  • Status Bar
  • Simulation Bar
  • Information Window


Toolbar

View [image] Toolbar

This command hides or shows the standard toolbar.


Status Bar

View [image] Status Bar

This command hides or shows the status bar.


Simulation Bar

View [image] Simulation Bar

This command hides or shows the simulation bar which is shown as follows. Note that the simulation bar is active when the program is in simulation mode.

More information
The simulation allows you to test a program and modify its parameters. This ensures the download of a program, which functions well, onto connected 1/5-Series.

Starting the simulation
Use the Tools -> Simulation menu command or click on the simulation icon [image] in the standard toolbar to start the simulation. This changes the program to simulation mode.

The active icon is highlighted in simulation mode. By clicking once again on the simulation icon, you exit simulation mode.


Information Window

View [image] Information Window

This command shows or hides the infomation window.


Tools Menu Overview

This menu provides the following menu commands:

  • Transfer -> PC -> Device
  • Transfer -> Device -> PC
  • Transfer -> Set Clock
  • Transfer -> Summer Time/Winter Time
  • Transfer -> Clear User Program and Password
  • Simulation


PC -> 1/5-Series

Tools [image] Transfer [image] PC -> Device

This command is used to download a circuit program created in onto connected 1/5-Series. uses the COM port you specified in Options -> COM Configuration to transfer the circuit program. The name of the program transferred to the 1/5-Series is specified in the Options -> Properties : General tab.

An icon for this menu command is also available in the standard toolbar.

Download Messages
If the circuit program cannot be downloaded onto connected 1/5-Series, the transfer is aborted and an error message is displayed. A message in the status bar reports the successful download.

Transfer and detailed error messages are displayed in the status bar and information window.

Password
If you have assigned a password to your circuit program, you'll be prompted to enter the password before you download onto connected 1/5-Series. The circuit program will then be downloaded onto the 1/5-Series only if you have entered the correct password. If an incorrect password is entered, the download is aborted with an error message.


1/5-Series -> PC

Tools [image] Transfer [image] Device -> PC

This command is used to upload a circuit program from connected 1/5-Series to uses the COM port you specified in Options -> COM Configuration to transfer the circuit program.

An icon for this menu command is also available in the standard toolbar.

Upload Messages
If the circuit program cannot be uploaded from connected 1/5-Series, the transfer is aborted and an error message is displayed. A message in the status bar reports the successful upload.

Transfer and detailed error messages are displayed in the status bar and information window.

Password
If you have assigned a password to your circuit program, you'll be prompted to enter the password before you upload from connected 1/5-Series to The circuit program will then be uploaded from the 1/5-Series only if you have entered the correct password. If an incorrect password is entered, the upload is aborted with an error message.


Clock Setting/Calibration

Tools [image] Transfer [image] Clock Setting/Calibration

This command can be used to calibrate, read and set the date and time of the RTC.

Calibration (sec/week) | Get : Retrieve the RTC calibration.
 | Set : A positive and a negative value put the RTC ahead and back respectively.
Clock Setting | Read : Get the RTC date and time.
 | Write : Set the RTC date and time.
 | Current Time : Get the PC's date and time.


Sumer Time/Winter Time

Tools [image] Transfer [image] Sumer Time/Winter Time
This command can be used to set the Daylight Saving Time for 1/5-Series. The following countries are supported.
  • EU : European Union
  • UK : United Kingdom of Great Britain and Northern Ireland
  • US : United States of America
  • Australia
  • Tasmania
  • New Zealand
  • Freely adjustable : Customers can set the DST according to their own need.

Active summertime/wintertime conversion : Activate the Sumer Time/Winter Time function or not.

The following settings are available only if the Freely adjustable is selected.
Start : The sart date of customized DST.
End : The end date of customized DST.
Time difference : Set the DST adjustment to this specified value in minute.


Clear User Program and Password

Tools [image] Transfer [image] Clear User Program and Password
This menu command lets you clear program and password in 1/5-Series.


Simulation

Tools [image] Simulation

This command starts the simulation which allows you to test a program and modify its parameters. This ensures the download of a program, which functions well, onto connected 1/5-Series.

Click on the Simulation icon to start the simulation. The icon for this menu command is also available in the standard toolbar.


Options Menu Overview

This menu provides the following menu commands:

  • COM Configuration
  • Set Wire Color
  • Set Background Color
  • Set Frame Window BgColor
  • Properties


COM Configuration

Options [image] COM Configuration

Choose a COM port from the list, if you know exactly which one connects to 1/5-Series. If you are not sure which COM port connects to the 1/5-Series, you can let automatically detect the COM port.


Set Wire Color

Options [image] Set Wire Color

You can set the color of linked lines of the circuit program.


Set Background Color

Options [image] Set Background Color

You can set the background color of the circuit program.


Set Frame Window BgColor

Tools [image] Set Frame Window BgColor
You can set the background color of the left panel of the circuit program.


Properties

Options [image] Properties
The properties dialog contains the following tabs:
  • General
  • Comment
  • Parameter
  • Protect
  • COM0
  • COM1
  • COM2
  • Startup Bmp
  • Hardware


Properties : General

Options [image] Properties : General

In this tab, you can enter detailed information of a circuit program. You can learn the meaning of each input box from the label on its left side. Note that a .bmp or .jpg file can be specified with your company logo to replace a string for the Company field.

By setting the Show at new file check box, you are prompted to enter detailed information of a circuit program when you create a new one.


Properties : Comment

Options [image] Properties : Comment

In this tab, you can enter related descriptions or notes of a circuit program.


Properties : Parameter

Options [image] Properties : Parameter

All parameters are transferred from PC to 1/5-Series, and saved to 1/5-Series after the circuit program is downloaded.

Program Name
A program name with up to 16 characters can be entered for the circuit program.

Program Password
A program password with up to 8 alphabetical characters can be assigned to protect the circuit program on 1/5-Series. Enter identical passwords in both New Password and Repeat New Password text boxes separately to assign a new password for your cricuit program. You can delete the assigned password by leaving New Password and Repeat New Password text boxes empty.

You can open or edit the circuit program from at any time no matter if the program is password-protected or not. For password-protected circuit programs, you have to enter the password to view or modify the program on 1/5-Series, or to load the circuit program from 1/5-Series to

Redundancy (Not Available for controller 1188)
1/5-Series provides redundancy to help you build a robust system. In case the server is going down there is a backup server that can take over the job.

There are 3 types for you to choose.
  • None : Redundancy is not available for this type.
  • Master : Connected 1/5-Series is the main controller of the whole system. It communicates with Slave continuously.
  • Slave : Connected 1/5-Series becomes Master automatically, if it doesn't receive signals from the Master after a period of time which is defined in the Synchronizing time text box in millisecond.


Properties : Protect

Options [image] Properties : Protect

Copy Protect
 This helps you defend against piracy, plagiarism and illegal distribution of your circuit program files. If this option is selected, the downloaded circuit program is deleted when the memory card is disconnected from 1/5-Series.

Temperature Protect Point
1/5-Series shut down automatically if the temperature is higher than High Temperature Protect Point or is less than Low Temperature Protect Point.


Properties : COM0

Options [image] Properties : COM0
You can set the following parameters.
  • Model : None, Master, Slave
  • Device Address : From 1 to 255 (for slave only).
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity/Data Bit/Stop Bit : None,8,1/None,8,2/Odd,8,1/Odd,8,2/Even,8,1/Even,8,2.
  • Timeout : In millisecond.
  • Delay Between Polls : In millisecond.
  • Data Register Index : High Low, Low High


Properties : COM1

Options [image] Properties : COM1
You can set the following parameters.
  • Model : None, Master, Slave
  • Device Address : From 1 to 255 (for slave only).
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity/Data Bit/Stop Bit : None,8,1/None,8,2/Odd,8,1/Odd,8,2/Even,8,1/Even,8,2.
  • Timeout : In millisecond.
  • Delay Between Polls : In millisecond.
  • Data Register Index : High Low, Low High


Properties : COM2

Options [image] Properties : COM2
You can set the following parameters.
  • Model : None, Master, Slave
  • Device Address : From 1 to 255 (for slave only).
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity/Data Bit/Stop Bit : None,8,1/None,8,2/Odd,8,1/Odd,8,2/Even,8,1/Even,8,2.
  • Timeout : In millisecond.
  • Delay Between Polls : In millisecond.
  • Data Register Index : High Low, Low High


Startup Bmp

Options [image] Startup Bmp

In this tab, you can see the figure below.

You can download the logo of your company to 1/5-Series. Only monochrome .bmp files with a maximum size of 108x64 pixels are supported. Show at 1/5-Series Inversely turns black into white and vice versa.


Hardware

Options [image] Hardware

In this tab, you can get detailed information about 1/5-Series from the figure below.


Window Menu Overview

This menu provides the following options.

  • Cascade
  • Tile


Cascade

Window [image] Cascade

You can use this command to arrange multiple opened windows in an overlapped fashion.


Tile

Window [image] Tile

You can use this command to arrange multiple opened windows in a nonoverlapped fashion.


Help Menu Overview

This menu provides you assistance with this application.
  • Contents
  • About


Contents

Help [image] Contents

This command offers you an index to topics on which you can get help.

Help for Blocks
 | 1. | Right click on the Block.
 | 2. | Press the Help button and then the corresponding help shows up.


About

Help [image] About

This command displays the version number of this application.


The Overview of Standard Toolbar
The icons of the standard toolbar supply quick access to commands that are also available on the menu bar.
The following commands are available in the standard toolbar.
File
 | New
 | Open
 | Save
Edit
 | Cut
 | Copy
 | Paste
 | Delete
 | Undo
 | Redo
Programming Tools
 | Connect
 | Cut/Join Connection
 | Selection
 | Insert Comments
Tools
 | Simulation
 | PC -> 1/5-Series
 | 1/5-Series -> PC
 | Zoom In
 | Zoom Out
 | Page Layout


Simulation Toolbar

The simulation toolbar, which is shown as follows, is active when the program is in simulation mode. Use this tool to perform the simulation.

Simulation Control Icons
Simulate a power failure.
Start simulation.
Stop simulation.

Suspend simulation. The circuit program switches into suspend mode.
Resume simulation.

Time Control
For a time-sensitive circuit program, you can use the time control to observe the processes of the circuit program. This is a simple but effective way to predict the result of the program operation.

Start/stop the simulation in stepping mode. It's available in suspend mode.

Set a specifig period of time or set a specific number of cycles. Depends on the below control.

Choose one of the four modes: cycle, second, minute and hour.

Display the current time in

Modify the current time in

Status Display
The value of signal and corresponding connecting line is as follows:
The value of signal | The color of corresponding connecting line
1 | red
0 | blue


Prerequisites for Working with the Tutorial

We assume that you are familiar with PC operation and know how to create and edit circuit programs. To transfer data between PC and 1/5-Series, you need to connect PC's serial interfact to your 1/5-Series. If necessary, refer to Transfer -> PC -> Device and Transfer -> Device -> PC for more information.


Introduction

You will learn the fundamentals of working with by creating an easy circuit program and simulating it on your PC. At the end of this chapter, you will find some sample applications for and information on how to prepare, transfer and archive your programs.

If you are new to this application, refer to user interface before starting the tutorial.


The Overview of Creating a Circuit Program

In this chapter you will learn how to develop a circuit program by the following steps.
 | 1. | Creating a new circuit program
 | 2. | Select blocks
 | 3. | Place the blocks
 | 4. | Edit the blocks
 | 5. | Connect the blocks
 | 6. | Optimize the circuit program
 | 7. | Save the circuit program


Creating a New Circuit Program

You can create a new, empty circuit program by the following ways.
 | 1. | Start
 | 2. | Click on the New command in File Menu.
 | 3. | Click on the New icon [image] in the standard toolbar.

then helps you edit the new circuit program in the programming interface.


Selecting and Placing Blocks

You have to select and place blocks on the layout for your circuit program. The following steps show you how to do so.

1. | Select a block in the programming interface.
2. | Move the mouse pointer to the proper position and left click.
3. | Select a new block or place anther one on your circuit diagram.


Editing Blocks

Right-clicking on a block opens a shortcut menu which provides you various editing options.

Configuring Blocks
Click on the Properties command in the shortcut menu or double-click on the block to configure block properties. The properties dialog includes a Comment tab and other parameter tabs for the block. You can then specify the values and settings for it.


Connecting Blocks

You must interconnect the blocks to complete the circuit diagram. To do so, click on the Connect tool [image] in the standard toolbar.

Example for Connecting Blocks You can connect 2 blocks by the following steps.
 | 1. | Place the mouse pointer on the block connector.
 | 2. | Press the left mouse button and hold it. Move the pointer from the source connector to the target one.
 | 3. | Release the mouse button.
 | 4. | connects the two terminals.

You can rearrange blocks and connecting lines anytime. Please refer to Editing Selected Objects for more information.

Selection Tool
You can use the selection tool to select and move blocks and connecting lines. Please refer to Selecting Objects for more information.


Optimizing the Layout

You may need to make a change to the layout to optimize it after the circuit program is finished. This chapter provides you the instructions on how to rearrange the blocks and connecting lines in the circuit program.


Selecting Objects

Select objects before rearranging them. To activate selection, click on the Selection tool [image] in the standard toolbar. Pressing the [Esc] key has the same effect.

Selecting a Single Object A single block or connecting line is selected simply by mouse click. Selecting Multiple Objects That Are Grouped Together You can select multiple objects that are all grouped together with the mouse pointer. Follow the below steps.
 | 1. | Move the mouse pointer to the proper position.
 | 2. | Press the left mouse button and hold it. Draw a rectangle around the selected objects.
 | 3. | Release the mouse button. The selected objects are highlighted by small red squares at the corners.

Selecting Multiple Objects That Are Not Grouped Together If there are multiple objects you need to select but they are not grouped together. There is a further selection option you can use. Follow the below steps.
 | 1. | Select the first object you want to select and then press and hold the [Ctrl] key.
 | 2. | While holding down the [Ctrl] key, select each of the other objects you wish to select.
 | 3. | To remove an object from the selection, hold down the [Ctrl] key and click on a selected object once again.


Editing Selected Objects

Editing a circuit program allows you to make your program have a more readable layout, which is helpful both to youself and to those who maintain the program in the future.

Editing Selected Blocks
You can perform a drag-and -drop operation with left mouse button or use the arrow keys to move selected blocks. The arrow keys tune fine position by one pixel.

You can also make changes to a single or grouped blocks. These changes include cutting, deleting, copying, pasting, undoing, redoing, etc. Please refer to the Edit Menu Overview for more infromation.

Editing Selected Connecting Lines You can edit selected connecting lines with the mouse pointer. Follow the below steps.
 | 1. | Selected connecting lines are indicated by blue and red squares.
 | 2. | The red squares can be used to move the veritcal part of the line to a desired position.
 | 3. | The blue squares can be used to reassign the beginning or end of the line.
 | 4. | Release the mouse button. The line will be redrawn.


Replacing Blocks

You can replace a block with another one in your circuit program. Follow the below steps.
 | 1. | Insert the new block anywhere.
 | 2. | Reconnect the connecting lines of the old block to the new one as described in Editing Selected Connecting Lines.
 | 3. | After reconnecting all the connecting lines, you can delete the old block and move the new one to a desired position.

By following the above steps, you can keep the connecting lines. If you delete the old block without following the above steps, you also delete its connections, that is, you have to redraw all connecting lines.


Cutting Connections

It may be hard to read the layout of a large and complex circuit program, especially if it contains many lines crossing each other. You can clean up your connection layout, using the Cut/Join Connection tool [image] in the standard toolbar.

Cutting a Connecting Line
1. | While the Cut/Join Connection tool is active, click on a connecting line.
2. | You can also cut the connection by right-clicking on the line and then click the Seperate menu command.
3. | The line is graphically split. Nevertheless, the link between the blocks is still active.

The open ends of the split line are now shown with green arrowhead and arrowtail icons, which indicate the direction of the signal flow. Above the icons, you can now see the references, which are labeled with the page number of the circuit diagram, the block name and the number of the block connector that is connected to the open end.

The page number on the label mentioned above doesn't show up unless the relevant blocks are on different pages. For example, the fiugres below indicate that I0 is on page 1 and B0 is on page 2.

Note that you should not use this tool to edit small circuit diagrams. In most cases you can optimize the layout by rearranging the blocks and connecting lines.

Joining a Split Connecting Line
 | 1. | While the Cut/Join Connection tool is active, the connection is closed by clicking on either of its 2 open ends.
 | 2. | You can also close the connection by right-clicking on an open end and then click the Join menu command.
 | 3. | The connection of the 2 open ends is closed.

Jump to the Parter Connector
Usually large and complex circuit diagrams contain numerous crossing lines, therefore it is hard to read the circuit layouts. In such cases, the Cut/Join Connection tool is a highly effective method to clean up the circuit layouts.

You can quickly jump to the partner connector by right-clicking an open end of a split connection, and then click the Go To Partner command.


Documentation of the Program

How to Label Your Program
You can put labels on your circuit program by clicking on the Insert Comments icon [image] in in the standard toolbar. Click here for more information.

How to Label Your Blocks
 | 1. | Right click on the Block.
 | 2. | Input your comments and then press the OK button.
 | 3. | That is what the comments look like. Note that the comments are relevant to the block.


Saving the Program

Click on the Save icon [image] in the standard toolbar to save the circuit program.

Please refer to File -> Save for more information.


Opening the program

Click on the Open icon [image] in the standard toolbar to open a circuit program for further editing.

Please refer to File -> Open for more information.


Starting the Simulation

Click on the Tools -> Simulation menu command or the simulation icon [image] in the standard toolbar to start simulation.

Please refer to simulation toolbar for more information on how to run a simulation.


Inputs

The input icon indicates the status. You can switch an input by clicking on an icon. When the input is switched on, the borderline of the icon is red; when the input is switched off, the borderline turns black.
The input is actuated.
The input is not actuated.

Analog Inputs
You can set the value for an analog input by means of a slide controller. Click on the relevant block to pop up and operate this slide controller directly.


Outputs

The output icon indicates the status. You cannot switch an output by clicking on an icon. When the output is switched on, the borderline of the icon is red; when the output is switched off, the borderline turns black.
The output is switched on.
The output is switched off.

Set Output
In simulation mode, you can select the command Set output by right clicking on the digital output of a block. This command allows you to set the output to high or low, and also allows you to clear the setting. The output remains unchanged until you reset it or end the simulation. This way you can check how a circuit program reacts to certain states.


Power Failure

You can simulate a power failure by clicking on the Power icon. This helps you check how a circuit program reacts to a power failure and restart to all inputs. The simulation can also test the retentive values of the circuit program. Note that the power failure simulation is different from the start of simulation, which equals starting the loaded program in 1/5-Series and all of the values are reset.
The power supply is normal.
Simulate the power supply is interrupted.


118X Address Mapping

Supported Modbus Code: 01/02/05/15 (Readable & Writable in Normal Mode)
Address | Description | R/W | Note
00001 ~ 00032 | Main Digital Input Value ( I000 ~ I031) | R | (0/1)
00033 ~ 00064 | Ext1 Digital Input Value ( I100 ~ I131) | R | (0/1)
00065 ~ 00096 | Ext2 Digital Input Value ( I200 ~ I231) | R | (0/1)
00097 ~ 00128 | Ext3 Digital Input Value ( I300 ~ I331) | R | (0/1)
00129 ~ 00160 | Ext4 Digital Input Value ( I400 ~ I431) | R | (0/1)
00161 ~ 00192 | Ext5 Digital Input Value ( I500 ~ I531) | R | (0/1)
00193 ~ 00224 | Ext6 Digital Input Value ( I600 ~ I631) | R | (0/1)
00225 ~ 00256 | Ext7 Digital Input Value ( I700 ~ I731) | R | (0/1)
00257 ~ 00272 | Main Digital Output Value ( Q000 ~ Q016) | R | (0/1)
00273 ~ 00288 | EXT1 Digital Output Value ( Q100 ~ Q116) | R | (0/1)
00289 ~ 00304 | EXT2 Digital Output Value ( Q200 ~ Q216) | R | (0/1)
00305 ~ 00320 | EXT3 Digital Output Value ( Q300 ~ Q316) | R | (0/1)
00321 ~ 00336 | EXT4 Digital Output Value ( Q400 ~ Q416) | R | (0/1)
00337 ~ 00352 | EXT5 Digital Output Value ( Q500 ~ Q516) | R | (0/1)
00353 ~ 00368 | EXT6 Digital Output Value ( Q600 ~ Q616) | R | (0/1)
00369 ~ 00384 | EXT7 Digital Output Value ( Q700 ~ Q716) | R | (0/1)
00385 ~ 00896 | 0~511 Digital Flag (M0 ~ M511) | R | (0/1)
00897 ~ 00912 | 0~15 Shift register bit (S0 ~ S15 ) | R | (0/1)
00913 | Flag of SCAN Time | R | (0/1)
01025 ~ 01056 | Main Digital Input Force ON ( I000 ~ I031) | R/W | (0/1)
01057 ~ 01088 | Ext1 Digital Input Force ON ( I100 ~ I131) | R/W | (0/1)
01089 ~ 01120 | Ext2 Digital Input Force ON ( I200 ~ I231) | R/W | (0/1)
01121 ~ 01152 | Ext3 Digital Input Force ON ( I300 ~ I331) | R/W | (0/1)
01153 ~ 01184 | Ext4 Digital Input Force ON ( I400 ~ I431) | R/W | (0/1)
01185 ~ 01216 | Ext5 Digital Input Force ON ( I500 ~ I531) | R/W | (0/1)
01217 ~ 01248 | Ext6 Digital Input Force ON ( I600 ~ I631) | R/W | (0/1)
01249 ~ 01280 | Ext7 Digital Input Force ON ( I700 ~ I731) | R/W | (0/1)
01281 ~ 01312 | Main Digital Input Force OFF( I000 ~ I031) | R/W | (0/1)
01313 ~ 01344 | Ext1 Digital Input Force OFF( I100 ~ I131) | R/W | (0/1)
01345 ~ 01376 | Ext2 Digital Input Force OFF( I200 ~ I231) | R/W | (0/1)
01377 ~ 01408 | Ext3 Digital Input Force OFF( I300 ~ I331) | R/W | (0/1)
01409 ~ 01440 | Ext4 Digital Input Force OFF( I400 ~ I431) | R/W | (0/1)
01441 ~ 01472 | Ext5 Digital Input Force OFF( I500 ~ I531) | R/W | (0/1)
01473 ~ 01504 | Ext6 Digital Input Force OFF( I600 ~ I631) | R/W | (0/1)
01505 ~ 01536 | Ext7 Digital Input Force OFF( I700 ~ I731) | R/W | (0/1)
01537 ~ 01552 | Main Digital Output Force ON ( Q000 ~ Q016) | R/W | (0/1)
01553 ~ 01568 | EXT1 Digital Output Force ON ( Q100 ~ Q116) | R/W | (0/1)
01569 ~ 01584 | EXT2 Digital Output Force ON ( Q200 ~ Q216) | R/W | (0/1)
01585 ~ 01600 | EXT3 Digital Output Force ON ( Q300 ~ Q316) | R/W | (0/1)
01601 ~ 01616 | EXT4 Digital Output Force ON ( Q400 ~ Q416) | R/W | (0/1)
01617 ~ 01632 | EXT5 Digital Output Force ON ( Q500 ~ Q516) | R/W | (0/1)
01633 ~ 01648 | EXT6 Digital Output Force ON ( Q600 ~ Q616) | R/W | (0/1)
01649 ~ 01664 | EXT7 Digital Output Force ON ( Q700 ~ Q716) | R/W | (0/1)
01665 ~ 01680 | Main Digital Output Force OFF( Q000 ~ Q016) | R/W | (0/1)
01681 ~ 01696 | EXT1 Digital Output Force OFF( Q100 ~ Q116) | R/W | (0/1)
01697 ~ 01712 | EXT2 Digital Output Force OFF( Q200 ~ Q216) | R/W | (0/1)
01713 ~ 01728 | EXT3 Digital Output Force OFF( Q300 ~ Q316) | R/W | (0/1)
01729 ~ 01744 | EXT4 Digital Output Force OFF( Q400 ~ Q416) | R/W | (0/1)
01745 ~ 01760 | EXT5 Digital Output Force OFF( Q500 ~ Q516) | R/W | (0/1)
01761 ~ 01776 | EXT6 Digital Output Force OFF( Q600 ~ Q616) | R/W | (0/1)
01777 ~ 01792 | EXT7 Digital Output Force OFF( Q700 ~ Q716) | R/W | (0/1)

Supported Modbus Code: 01/02 (Readable in Normal Mode)
Address | Description | R/W | Note
02001~02004 | Status of Function Block B0 | R |
02005~02008 | Status of Function Block B1 | R |
02009~02012 | Status of Function Block B2 | R |
.........................................
06093~06096 | Status of Function Block B1023 | R |

Supported Modbus Code: 03/04 (Readable in Normal Mode)
Address | Description | R/W | Note
40001 | Com0 model | R | 0x00 : Slave 0x01 : Master
40002 | Com0 protocol | R | 0x00 : RTU 0x01 : ASCII
40003 | Com0 device address | R | 1~255
40004 | Com0 baudrate | R | 0x00 : 1200 0x01 : 2400 0x02 : 4800 0x03 : 9600 0x04 : 14400 0x05 : 19200 0x06 : 28800 0x07 : 38400 0x08 : 57600 0x09 : 115200
40005 | Com0 parity | R | 0x00 : None 0x01 : Odd 0x02 : Even
40006 | Com0 data bit | R | 0x00 : 7-bit 0x01 : 8-bit
40007 | Com0 stop bit | R | 0x00 : 1-bit 0x01 : 2-bit
40008 | Com0 timeout | R | 50 ~ 65535 ms
40009 | Com0 delay between polls | R | 0 ~ 65535 ms
40010 | Com0 data register index | R | 0x00 : High Low 0x01:Low High
40011 | Com0 status flag | R |
40012 | Com1 model | R | 0x00 : Slave 0x01: Master
40013 | Com1 protocol | R | 0x00 : RTU 0x01 : ASCII
40014 | Com1 device address | R | 1~255
40015 | Com1 baudrate | R | 0x00 : 1200 0x01 : 2400 0x02 : 4800 0x03 : 9600 0x04 : 14400 0x05 : 19200 0x06 : 28800 0x07 : 38400 0x08 : 57600 0x09 : 115200
40016 | Com1 parity | R | 0x00 : None 0x01 : Odd 0x02 : Even
40017 | Com1 data bit | R | 0x00 : 7-bit 0x01 : 8-bit
40018 | Com1 stop bit | R | 0x00 : 1-bit 0x01 : 2-bit
40019 | Com1 timeout | R | 50 ~ 65535 ms
40020 | Com1 delay between polls | R | 0 ~ 65535 ms
40021 | Com1 data register index | R | 0x00 : High Low 0x01:Low High
40022 | Com1 status flag | R |
40023 | Com2 model | R | 0x00 : Slave 0x01 : Master
40024 | Com2 protocol | R | 0x00 : RTU 0x01 : ASCII
40025 | Com2 device address | R | 1~255
40026 | Com2 baudrate | R | 0x00 : 1200 0x01 : 2400 0x02 : 4800 0x03 : 9600 0x04 : 14400 0x05 : 19200 0x06 : 28800 0x07 : 38400 0x08 : 57600 0x09 : 115200
40027 | Com2 parity | R | 0x00 : None 0x01 : Odd 0x02 : Even
40028 | Com2 data bit | R | 0x00 : 7-bit 0x01 : 8-bit
40029 | Com2 stop bit | R | 0x00 : 1-bit 0x01 : 2-bit
40030 | Com2 timeout | R | 50 ~ 65535 ms
40031 | Com2 delay between polls | R | 0 ~ 65535 ms
40032 | Com2 data register index | R | 0x00 : High Low 0x01:Low High
40033 | Com2 status flag | R |

Supported Modbus Code: 03/04 (Readable in Normal Mode)
Address | Description | R/W | Note
40211 | Module Name 1 | R | 118X Ex:0x1188
40212 | Module Name 2 | R | 0x0000
40213 | Firmware Version 1 | R | A1.00 Ex:0xA100
40214 | Firmware Version 2 | R | 0x0000
40215 | Mac Serial Number 1 | R |
40216 | Mac Serial Number 2 | R |
40217 | Mac Serial Number 3 | R |
40218 | Mac Serial Number 4 | R |
40219 | Mac Serial Number 5 | R |
40220 | Mac Serial Number 6 | R |
40221 | Redundancy condition | R | 0x00: None 0x01:Master 0x02:Slave
40222 | Redundancy operating time (low word) (ms) | R | 0x0000 ~ 0xFFFF
40223 | Redundancy operating time (high word) (ms) | R | 0x0000 ~ 0xFFFF
40224 | LCM Control Register | R |
40225 | Machine internal tempature (degree Celsius) | R | -32768 ~ 32767
40226 | Controller Fault Status | R |
40227 | System Status 1 | R |
40228 | System Status 2 | R |
40229 | Scan Cycle Time (ms) | R | 1 ~ 65535
40230 | Redundancy status | R | 0x00 : stop 0x01:standby 0x02:active
40231 | Power On Hours (hr) | R | 0~65535
40232 | COM0 communication success rate (times/min) | R | 0~65535
40233 | COM0 communication error rate (times/min) | R | 0~65535
40234 | COM1 communication success rate (times/min) | R | 0~65535
40235 | COM1 communication error rate (times/min) | R | 0~65535
40236 | COM2 communication success rate (times/min) | R | 0~65535
40237 | COM2 communication error rate (times/min) | R | 0~65535
40238 | COM3 communication success rate (times/min) | R | 0~65535
40239 | COM3 communication error rate (times/min) | R | 0~65535
40240 | COM4 communication success rate (times/min) | R | 0~65535
40241 | COM4 communication error rate (times/min) | R | 0~65535
40242 | COM5 communication success rate (times/min) | R | 0~65535
40243 | COM5 communication error rate (times/min) | R | 0~65535
40244 | COM6 communication success rate (times/min) | R | 0~65535
40245 | COM6 communication error rate (times/min) | R | 0~65535
40246 | COM7 communication success rate (times/min) | R | 0~65535
40247 | COM7 communication error rate (times/min) | R | 0~65535
40248 | Downloading number of times | R | 0~65535
40249 | History Temperature_min (degree Celsius) | R | -32768 ~ 32767
40250 | History Temperature_max (degree Celsius) | R | -32768 ~ 32767
40251 | High temperature protection point | R | -32768 ~ 32767
40252 | Low temperature protection point | R | -32768 ~ 32767
40253 | Power On Count (low word) | R | 0x0000 ~ 0xFFFF
40254 | Power On Count (high word) | R | 0x0000 ~ 0xFFFF
40255 | DOWNLOAD_STATUS | R | 0x00 : normal 0x01 : fail
40256 | Last shutdown time -Week_RTC | R | 0 ~ 6
40257 | Last shutdown time -Year_RTC | R | 2010 ~ 2036
40258 | Last shutdown time -Month_RTC | R | 1 ~ 12
40259 | Last shutdown time -Day_RTC | R | 1 ~ 31
40260 | Last shutdown time -Hour_RTC | R | 0 ~ 23
40261 | Last shutdown time -Min_RTC | R | 0 ~ 59
40262 | Last shutdown time -Sec_RTC | R | 0 ~ 59
40263 | RTC Calibrate sign | R | 0:plus 1:minus
40264 | RTC Calibrate value | R | 0 ~ 30 (sec/week)

Supported Modbus Code: 03/04 (Readable in Normal Mode)
Address | Description | R/W | Note
40301 | Week_RTC | R | 0 ~ 6
40302 | Year_RTC | R | 2010 ~ 2036
40303 | Month_RTC | R | 1 ~ 12
40304 | Day_RTC | R | 1 ~ 31
40305 | Hour_RTC | R | 0 ~ 23
40306 | Min_RTC | R | 0 ~ 59
40307 | Sec_RTC | R | 0 ~ 59

Supported Modbus Code: 03/04 (Readable in Normal Mode)
Address | Description | R/W | Note
40501 ~ 40508 | Main Analog Input Value ( AI000 ~ AI007 ) | R |
40509 ~ 40516 | EXT1 Analog Input Value ( AI100 ~ AI107 ) | R |
40517 ~ 40524 | EXT2 Analog Input Value ( AI200 ~ AI207 ) | R |
40525 ~ 40532 | EXT3 Analog Input Value ( AI300 ~ AI307 ) | R |
40533 ~ 40540 | EXT4 Analog Input Value ( AI400 ~ AI407 ) | R |
40541 ~ 40548 | EXT5 Analog Input Value ( AI500 ~ AI507 ) | R |
40549 ~ 40556 | EXT6 Analog Input Value ( AI600 ~ AI607 ) | R |
40557 ~ 40564 | EXT7 Analog Input Value ( AI700 ~ AI707 ) | R |
40565 ~ 40568 | Main Analog Output Value (AQ000 ~ AQ003) | R |
40569 ~ 40572 | EXT1 Analog Output Value (AQ100 ~ AQ103) | R |
40573 ~ 40576 | EXT2 Analog Output Value (AQ200 ~ AQ203) | R |
40577 ~ 40580 | EXT3 Analog Output Value (AQ300 ~ AQ303) | R |
40581 ~ 40584 | EXT4 Analog Output Value (AQ400 ~ AQ403) | R |
40585 ~ 40588 | EXT5 Analog Output Value (AQ500 ~ AQ503) | R |
40589 ~ 40592 | EXT6 Analog Output Value (AQ600 ~ AQ603) | R |
40593 ~ 40596 | EXT7 Analog Output Value (AQ700 ~ AQ703) | R |
40597 ~ 41108 | 0 ~ 511 Analog Flag Value ( AM0 ~ AM511) | R |

Supported Modbus Code: 03/04 (Readable in Normal Mode)
Address | Description | R/W | Note
42001~42004 | Parameter of Function Block B0 | R |
42005~42008 | Parameter of Function Block B1 | R |
42009~42012 | Parameter of Function Block B2 | R |
.........................................
46093~46096 | Parameter of Function Block B1023 | R |

More Information
Block Type | Address 1 | Address 2 | Address 3 | Address 4
AND | Block Output (0xxxx) | X | X | X
AND (Edge) | Block Output (0xxxx) | X | X | X
NAND | Block Output (0xxxx) | X | X | X
NAND (Edge) | Block Output (0xxxx) | X | X | X
OR | Block Output (0xxxx) | X | X | X
NOR | Block Output (0xxxx) | X | X | X
XOR | Block Output (0xxxx) | X | X | X
NOT | Block Output (0xxxx) | X | X | X
On-Delay | Block Output(0xxxx) | X | Timer (4xxxx) | X
Off-Delay | Block Output (0xxxx) | X | Timer (4xxxx) | X
On-/Off-Delay | Block Output (0xxxx) | X | Timer (4xxxx) | X
Retentive On-Delay | Block Output (0xxxx) | X | Timer (4xxxx) | X
Wiping relay (pulse output) | Block Output (0xxxx) | X | Timer (4xxxx) | X
Edge triggered wiping relay | Block Output (0xxxx) | X | Timer (4xxxx) | X
Asynchronous Pulse Generator | Block Output (0xxxx) | X | Timer (4xxxx) | X
Random Generator | Block Output (0xxxx) | X | Timer (4xxxx) | X
Stairway lighting switch | Block Output (0xxxx) | X | Timer (4xxxx) | X
Multiple function switch | Block Output (0xxxx) | X | Timer (4xxxx) | X
Weekly Timer | Block Output (0xxxx) | X | X | X
Yearly Timer | Block Output (0xxxx) | X | X | X
Up/Down counter | Block Output (0xxxx) | X | Count Value (l) (4xxxx) | Count Value (h) (4xxxx)
Hours Counter | Block Output (0xxxx) | X | MN Value (l) (4xxxx) | MN Value (h) (4xxxx)
Threshold trigger | Block Output (0xxxx) | X | Count Value (l) (4xxxx) | Count Value (h) (4xxxx)
Analog Comparator | Block Output (0xxxx) | X | Actual values(Ax-Ay) (l) (4xxxx) | Actual values(Ax-Ay) (h) (4xxxx)
Analog threshold trigger | Block Output (0xxxx) | X | Actual value Ax (l) (4xxxx) | Actual value Ax (h) (4xxxx)
Analog Amplifier | Block Output (4xxxx) | X | Actual value Ax (l) (4xxxx) | Actual value Ax (h) (4xxxx)
Analog watchdog | Block Output (0xxxx) | Actual value Aen (4xxxx) | Actual value Ax (l) (4xxxx) | Actual value Ax (h) (4xxxx)
Analog differential trigger | Block Output (0xxxx) | X | Actual value Ax (l) (4xxxx) | Actual value Ax (h) (4xxxx)
Latching Relay | Block Output (0xxxx) | X | X | X
Pulse Relay | Block Output (0xxxx) | X | X | X
Message texts | Block Output (0xxxx) | X | X | X
Shift register | Block Output (0xxxx) | X | Register Value (4xxxx) | X
Modbus Read | Block Output(0xxxx) | Count (4xxxx) | Data Address (4xxxx) | X
Modbus Write | Block Output(0xxxx) | Count (4xxxx) | Data1(Manual) / Data Address(Auto) (4xxxx) | Data2(Manual) (4xxxx)


The Overview of Constants

There are 2 groups, which are digital and analog, in constants.The tool indicated in the table below must be selected, then you can place it on the programming interface. Detailed information of each tool can be found by clicking the string on its right side.

Digital
 | Inputs
 | Shift Register Bits
 | Permanent Logical Levels
 | Permanent Logical Levels
 | Outputs
 | Open Connectors
 | Flags
Analog
 | Analog Inputs
 | Analog Outputs
 | Analog Flags


Digital Inputs

Inputs

Input blocks represent the input terminals of 1/5-Series. There are up to 128 digital inputs available to you. These inputs are categorized into 8 groups which are shown as follows :

Module | Input Number
Main | I000 ~ I015
Ext. 1 | I100 ~ I115
Ext. 2 | I200 ~ I215
Ext. 3 | I300 ~ I315
Ext. 4 | I400 ~ I415
Ext. 5 | I500 ~ I515
Ext. 6 | I600 ~ I615
Ext. 7 | I700 ~ I715

Each input block has a unique number in the circuit program.

Overview


Shift Register Bits

1/5-Series provides the shift register bits S0 to S15, which are read-only in the circuit program. The content of shift register bits can only be modified by means of the shift register special function.

Overview


Status 0 (Low)
Set the block input to logical low state.

Overview


Status 1 (High)

Set the block input to logical high state.

Overview


Digital Outputs

Outputs

Output blocks represent the output terminals of 1/5-Series. There are up to 64 digital outputs available to you. These outputs are categorized into 8 groups which are shown as follows :

Module | Output Number
Main | Q000 ~ Q007
Ext. 1 | Q100 ~ Q107
Ext. 2 | Q200 ~ Q207
Ext. 3 | Q300 ~ Q307
Ext. 4 | Q400 ~ Q407
Ext. 5 | Q500 ~ Q507
Ext. 6 | Q600 ~ Q607
Ext. 7 | Q700 ~ Q707

Each output block has a unique number in the circuit program.

Overview


Open Connectors

You can connect the output of an block to the open connector block. The block is different from the output block. Imagine the open connector block as a terminal.

Overview


Digital Flags

Flags

The size of a digital flag is 1 bit.The flag block outputs its input signal. 1/5-Series provides 512 digital flags M0 ... M511. Each flag block has a unique number in the circuit program.

Overview


Analog Inputs

Analog input blocks represent the analog input terminals of 1/5-Series. There are up to 64 digital inputs available to you. These inputs are categorized into 8 groups which are shown as follows. Each input block has a unique number in the circuit program.

Module | Input Number
Main | AI000 ~ AI007
Ext. 1 | AI100 ~ AI107
Ext. 2 | AI200 ~ AI207
Ext. 3 | AI300 ~ AI307
Ext. 4 | AI400 ~ AI407
Ext. 5 | AI500 ~ AI507
Ext. 6 | AI600 ~ AI607
Ext. 7 | AI700 ~ AI707

The analong inputs have a dual definition: they can be used as either digital or analog inputs. You don't have to make any settings.

r | Input
AI | 0 ~ 10V
DI | +2V Max : 0
 | 4V ~ 10V : 1

Example
In 118X, an input signal, which comes from AI0, is also detected on DI4.

Overview


Analog Outputs

Analog output blocks represent the analog output terminals of 1/5-Series. There are up to 32 digital outputs available to you. These outputs are categorized into 8 groups which are shown as follows. Each output block has a unique number in the circuit program.

Module | Output Number
Main | AQ000 ~ AQ003
Ext. 1 | AQ100 ~ AQ103
Ext. 2 | AQ200 ~ AQ203
Ext. 3 | AQ300 ~ AQ303
Ext. 4 | AQ400 ~ AQ403
Ext. 5 | AQ500 ~ AQ503
Ext. 6 | AQ600 ~ AQ603
Ext. 7 | AQ700 ~ AQ703

Note that the analog output value ranges between 0 and 1000.

You are also able to set the analog output value range. The two choices are as follows:

  • Normal (0 to 10 V or 0-20 mA)
  • 4-20 mA

Overview


Analog Flags

The size of an analog flag is 2 bytes.The flag block outputs its input signal. 1/5-Series provides 512 analog flags AM0 ... AM511. Each flag block has a unique number in the circuit program.

Overview


Basic Functions (for FBD only) - Overview

This tool has to be selected if you want to place standard Boolean logic blocks on the programming interface. The specific type of block is selected from this group from an additional toolbar that is opened when you select the basic functions tool.

AND | OR
AND With Edge Evaluation | NOR
NAND | XOR
NAND With Edge Evaluation | NOT


AND

The output of an AND function is only 1 if all inputs are 1, that is, when they are closed.

A block input that is not used (x) is assigned: x = 1.

AND function logic table:

Input1 | Input2 | Input3 | Input4 | Output
0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 1 | 0
0 | 0 | 1 | 0 | 0
0 | 0 | 1 | 1 | 0
0 | 1 | 0 | 0 | 0
0 | 1 | 0 | 1 | 0
0 | 1 | 1 | 0 | 0
0 | 1 | 1 | 1 | 0
1 | 0 | 0 | 0 | 0
1 | 0 | 0 | 1 | 0
1 | 0 | 1 | 0 | 0
1 | 0 | 1 | 1 | 0
1 | 1 | 0 | 0 | 0
1 | 1 | 0 | 1 | 0
1 | 1 | 1 | 0 | 0
1 | 1 | 1 | 1 | 1

Overview


AND With Edge Evaluation

The output of an AND with edge evaluation is only 1 if all inputs are 1 and at least one input was 0 during the last cycle.

The output is set to 1 for the duration of one cycle and must be reset to 0 for the duration of the next cycle before it can be set to 1 again.

A block input that is not used (x) is assigned: x = 1.

Timing diagram of an AND with edge evaluation:

Overview


NAND

The output of an NAND function is only 0 if all inputs are 1, i.e. when they are closed.

A block input that is not used (x) is assigned: x = 1.

NAND function logic table:

Input1 | Input2 | Input3 | Input4 | Output
0 | 0 | 0 | 0 | 1
0 | 0 | 0 | 1 | 1
0 | 0 | 1 | 0 | 1
0 | 0 | 1 | 1 | 1
0 | 1 | 0 | 0 | 1
0 | 1 | 0 | 1 | 1
0 | 1 | 1 | 0 | 1
0 | 1 | 1 | 1 | 1
1 | 0 | 0 | 0 | 1
1 | 0 | 0 | 1 | 1
1 | 0 | 1 | 0 | 1
1 | 0 | 1 | 1 | 1
1 | 1 | 0 | 0 | 1
1 | 1 | 0 | 1 | 1
1 | 1 | 1 | 0 | 1
1 | 1 | 1 | 1 | 0

Overview


NAND With Edge Evaluation

The output of a NAND with edge evaluation is only 1 if at least one input is 0 and all inputs were 1 during the last cycle.

The output is set to 1 for the duration of one cycle and must be reset to 0 at least for the duration of the next cycle before it can be set to 1 again.

A block input that is not used (x) is assigned: x = 1.

Timing diagram of a NAND with edge evaluation?

Overview


OR

The output of an OR is 1 if at least one input is 1 (closed).

A block input that is not used (x) is assigned: x = 0.

OR function logic table:

Input1 | Input2 | Input3 | Input4 | Output
0 | 0 | 0 | 0 | 0
0 | 0 | 0 | 1 | 1
0 | 0 | 1 | 0 | 1
0 | 0 | 1 | 1 | 1
0 | 1 | 0 | 0 | 1
0 | 1 | 0 | 1 | 1
0 | 1 | 1 | 0 | 1
0 | 1 | 1 | 1 | 1
1 | 0 | 0 | 0 | 1
1 | 0 | 0 | 1 | 1
1 | 0 | 1 | 0 | 1
1 | 0 | 1 | 1 | 1
1 | 1 | 0 | 0 | 1
1 | 1 | 0 | 1 | 1
1 | 1 | 1 | 0 | 1
1 | 1 | 1 | 1 | 1

Overview


NOR

The output of a NOR (NOT OR) is only 1 if all inputs are 0 (open). When one of the inputs is switched on (logical 1 state), the output is switched off.

A block input that is not used (x) is assigned: x = 0.

NOR function logic table:

Input1 | Input2 | Input3 | Input4 | Output
0 | 0 | 0 | 0 | 1
0 | 0 | 0 | 1 | 0
0 | 0 | 1 | 0 | 0
0 | 0 | 1 | 1 | 0
0 | 1 | 0 | 0 | 0
0 | 1 | 0 | 1 | 0
0 | 1 | 1 | 0 | 0
0 | 1 | 1 | 1 | 0
1 | 0 | 0 | 0 | 0
1 | 0 | 0 | 1 | 0
1 | 0 | 1 | 0 | 0
1 | 0 | 1 | 1 | 0
1 | 1 | 0 | 0 | 0
1 | 1 | 0 | 1 | 0
1 | 1 | 1 | 0 | 0
1 | 1 | 1 | 1 | 0

Overview


XOR

The XOR (exclusive OR) output is 1 if the signal status of the inputs is different.

A block input that is not used (x) is assigned: x = 0.

XOR function function logic table:

Input1 | Input2 | Output
0 | 0 | 0
0 | 1 | 1
1 | 0 | 1
1 | 1 | 0

Overview


NOT

The output is 1 if the input is 0. The NOT block inverts the input status.

Advantage of the NOT, for example: 1/5-Series no longer require break contacts. You simply use a make contact and convert it into a break contact with the help of the NOT function.

NOT function logic table:

Input1 | Output
0 | 1
1 | 0

Overview


Special Functions - Overview

The special function blocks (SFBs) are organized by group and are listed below:
Timers
On-Delay Asynchronous Pulse Generator
Off-Delay Random Generator
On-/Off-Delay Stairway Lighting Switch
Retentive On-Delay Multiple Function Switch
Wiping Relay(Pulse Output) Weekly Timer
Edge Triggered Wiping Relay Yearly Timer
Counters
Up/Down Counter Threshold Trigger
Hours Counter
Analog
Analog Threshold Trigger Analog Watchdog
Analog Differential Trigger Analog Amplifier
Analog Comparator
Miscellaneous


On-Delay

Short description
The output is not switched on until a configured delay time has expired.

Connection | Description
Input Trg | The on delay time is triggered via the Trg (Trigger) input.
Parameter | T represents the on delay time after which the output is switched on (output signal transition 0 to 1). Retentivity on = the status is retentive in memory.
Output Q | Q switches on after a specified time T has expired, provided Trg is still set.

Parameter T
The time in parameter T can be provided by the value of another already programmed function:
 | Analog comparators
 | Analog triggers
 | Analog amplifiers
 | Up/Down counters
You select the required function by the block number.

Timing diagram

Description of the function
The time Ta (the current time in 1/5-Series) is triggered with the 0 to 1 transition at input Trg.

If the status at input Trg stays 1 at least for the duration of the configured time T, the output is set to 1 when this time has expired (the on signal of the output follows the on signal of the input with delay).

The time is reset if the status at input Trg changes to 0 again before the time T has expired.

The output is reset to 0 when input Trg is 0.

Overview


Off-Delay

Short description
The output with off delay is not reset until a defined time has expired.

Connection | Description
Input Trg | Start the off delay time with a negative edge (1 to 0 transition) at input Trg (Trigger).
Input R | Reset the off delay time and set the output to 0 via the R (Reset) input. Reset has priority over Trg.
Parameter | T: The output is switched off on expiration of the delay time T (output signal transition 1 to 0). Retentivity on = the status is retentive in memory.
Output Q | Q is switched on for the duration of the time T after a trigger at input Trg.

Parameter T
The time in parameter T can be provided by the value of another already programmed function:
 | Analog comparators
 | Analog triggers
 | Analog amplifiers
 | Up/Down counters
You select the required function by the block number.

Timing diagram

Description of the function
Output Q is set to 1 instantaneously with a 0 to 1 transition at input Trg.

At the 1 to 0 transition at input Trg, 1/5-Series retrigger the current time T, and the output remains set. The output Q is reset to 0 when Ta reaches the value specified in T (Ta=T) (off delay).

A one-shot at input Trg retriggers the time Ta.

You can reset the time Ta and the output via the input R (Reset) before the time Ta has expired.

Overview


On-/Off-Delay

Short description
The on/off delay function block is used to set an output after a configured on delay time and then reset it again upon expiration of a second configured time.

Connection | Description
Input Trg | You trigger the on delay with a positive edge (0 to 1 transition) at input Trg (Trigger). You trigger the off delay with a negative edge (1 to 0 transition).
Parameter | TH is the on delay time for the output (output signal transition 0 to 1). TL is the off delay time for the output (output signal transition 1 to 0). Retentivity on = the status is retentive in memory.
Output Q | Q is switched on upon expiration of a configured time TH if Trg is still set. It is switched off again upon expiration of the time TL and if Trg has not been set again.

Timing diagram

Description of the function
The time TH is triggered with a 0 to 1 transition at input Trg.

If the status at input Trg is 1 for at least the duration of the configured time TH, the output is set to logical 1 upon expiration of this time (output is on delayed to the input signal).

The time TH is reset if the status at input Trg is reset to 0 before this time has expired.

The time TL is triggered with the 1 to 0 transition at the output.

If the status at input Trg remains 0 at least for the duration of a configured time TL, the output is reset to 0 upon expiration of this time (output is off delayed to the input signal).

The time TL is reset if the status at input Trg returns to 1 before this time has expired.

Overview


Retentive On-Delay

Short description
A one-shot at the input triggers a configurable time. The output is set upon expiration of this time.

Connection | Description
Input Trg | Trigger the on delay time via the Trg (Trigger) input.
Input R | Reset the on delay time and reset the output to 0 via input R (Reset). Reset takes priority over Trg.
Parameter | T is the on delay time for the output (output signal transition 0 to 1). Retentivity on = the status is retentive in memory.
Output Q | Q is switched on upon expiration of the time T.

Parameter T
The time set in parameter T can be formed by the actual value of another, already programmed function:

 | Analog comparators
 | Analog triggers
 | Analog amplifiers
 | Up/Down counters
You select the required function by the block number.

Timing diagram

Description of the function
The current time Ta is triggered with a 0 to 1 signal transition at input Trg. Output Q is set to 1 when Ta reaches the time T. A further pulse at input Trg does not affect Ta.

The output and the time Ta are only reset to 0 with a 1 signal at input R.

If retentivity is not set, output Q and the expired time are reset after a power failure.

Overview


Wiping Relay

Short description
An input signal generates an output signal of a configurable length.

Connection | Description
Trg input | You trigger the time for the wiping relay with a signal at input Trg (Trigger).
Parameter | T represents the time after which the output is reset (output signal transition 1 to 0). Retentivity on = the status is retentive in memory.
Output Q | A pulse at Trg sets Q. The output stays set until the time T has expired and if Trg = 1 for the duration of this time. A 1 to 0 transition at Trg prior to the expiration of T also resets the output to 0.

Timing diagram

Description of the function
With the input signal Trg = 1, output Q is set to 1. The signal also triggers the time Ta, while the output remains set.

When Ta reaches the value defined at T (Ta=T), the output Q is reset to 0 state (pulse output).

If the signal at input Trg changes from 1 to 0 before this time has expired, the output is immediately reset from 1 to 0.

Overview


Edge Triggered Wiping Relay

Short description
An input pulse generates a preset number of output pulses with a defined pulse/pause ratio (retriggerable), after a configured delay time has expired.

Connection | Description
Input Trg | You trigger the times for the Edge-triggered wiping relay with a signal at input Trg (Trigger).
Input R | The output and the current time Ta are reset to 0 with a signal at input R.
Parameter | TH, TL: The pulse width TH and the interpulse width TL are adjustable. N determines the number of pulse/pause cycles TL / TH. Value range: 1...9. Retentivity on = the status is retentive in memory.
Output Q | Output Q is set when the time TL has expired and is reset when TH has expired.

Timing diagram

Description of the function
With the change at input Trg to 1, the time TL (time low) is triggered. After the time TL has expired, output Q is set to 1 for the duration of the time TH (time high).

If input Trg is retriggered prior to the expiration of the preset time (TL + TH), the time Ta is reset and the pulse/pause period is restarted.

Overview


Asynchronous Pulse Generator

Short description
The pulse shape at the output can be modified by a configurable pulse/pause ratio.

Connection | Description
Input En | You enable/disable the asynchronous pulse generator with the signal at input En.
Input Inv | The Inv input can be used to invert the output signal of the active asynchronous pulse generator.
Parameter | TH,TL: You can customize the pulse width (TH) and the interpulse width (TL). Retentivity on = the status is retentive in memory.
Output Q | Q is toggled on and off cyclically with the pulse/pause times TH and TL .

Timing diagram

Description of the function
You can set the pulse/pause ratio at the TH (Time High) and TL (Time Low) parameters.

The INV input can be used to invert the output signal. The input block INV only inverts the output signal if the block is enabled with EN.

Overview


Random Generator

Short description
The output of a random generator is toggled within a configurable time.

Connection | Description
Input En | The positive edge (0 to 1 transition) at the enable input En (Enable) triggers the on delay for the random generator. The negative edge (1 to 0 transition) triggers the off delay for the random generator.
Parameter | TH: The on delay is determined at random and lies between 0 s and TH. TL: The off delay is determined at random and lies between 0 s and TL.
Output Q | Q is set on expiration of the on delay if En is still set. It is reset when the off delay time has expired and if En has not been set again.

Timing diagram

Description of the function
With the 0 to 1 transition at input En, a random time (on delay time) between 0 s and TH is set and triggered. If the status at input En is 1 for at least the duration of the on delay, the output is set to 1 when this on delay time has expired.

The time is reset if the status at input En is reset to 0 before the on delay time has expired.

When input En is reset 0, a random time (off delay time) between 0 s and TL is set and triggered.

If the status at input En is 0 at least for the duration of the off delay time, the output Q is reset to 0 when the off delay time has expired.

The time is reset if the status at input En returns to 1 before the on delay time has expired.

Overview


Stairway Lighting Switch

Short description
The edge of an input pulse triggers a configurable time. The output is reset when this time has expired. An off warning can be output prior to the expiration of this time.

Connection | Description
Input Trg | You trigger the time (off delay) for the stairway switch with a signal at input Trg (Trigger).
Parameter | T: The output is reset (1 to 0 transition) when the off delay time T has expired. T! determines the triggering time for the prewarning. T!L determines the length of the prewarning time. Retentivity on = the status is retentive in memory.
Output Q | Q is reset after the time T has expired. A warning signal can be output before this time has expired.

Timing diagram

Changing the time base
You can change the prewarning time base and the period.
 | Time base T | Prewarning time | Prewarning period
 | Seconds* | 750 ms | 50 ms
 | Minutes | 15 s | 1 s
 | Hours | 15 min | 1 min
 | * makes sense only for programs with a cycle time of < 25 ms

Description of the function
Output Q is set to 1 with a 0 to 1 signal transition at input Trg. The 1 to 0 transition at input Trg triggers the current time and output Q remains set.

Output Q is reset to 0 when Ta reaches the time T. Before the off delay time (T - T!) has expired, you can output a prewarning that resets Q for the duration of the off prewarning time T!L.

Ta is retriggered (optional) at the next high/low transition at input Trg and if Ta is expiring.

Overview


Multiple Function Switch

Short description
Switch with two different functions:
Pulse switch with off delay
Switch (continuous light)

Connection | Description
Input Trg | A signal at input Trg (Trigger) sets output Q (permanent light) or resets Q with an off delay. When active, output Q can be reset with a signal at input Trg.
Input R | A signal at input R resets the current time Ta and resets the output.
Parameter | T: determines the off delay time. The output is reset (1 to 0 transition) when the time T expires. TL determines the period during which the input must be set in order to enable the permanent light function. T! determines the on delay for the prewarning time. T!L determines the length of the prewarning time period. Retentivity on = the status is retentive in memory.
Output Q | Output Q is set with a signal at input Trg, and it is reset again after a configured time has expired and depending on the pulse width at input Trg, or it is reset with another signal at input Trg.

Timing diagram

Description of the function
Output Q is set to 1 with a 0 to 1 signal transition at Trg.

If output Q = 0, and input Trg is set hi for at least the duration of TL, the permanent lighting function is enabled and output Q is set accordingly.

The off delay time T is triggered when the status at input Trg changes to 0 before the time TL has expired.

Output Q is reset when the Ta = T.

You can output an off-warning signal prior to the expiration of the off delay time (T - T!) that resets Q for the duration of the off prewarning time T!L. A subsequent signal at input Trg always resets T and output Q.

Caution
The time base for T, T! and T!L must be identical.

Overview


Weekly Timer

Short description
The output is controlled by means of a configurable on/off date. The function supports any combination of weekdays.

Connection | Description
Parameter | At the No1, No2, No3 (Cam) parameters you set the on and off time triggers for each cam of the weekly timer. The parameter units are the days and the time of day.
Output Q | Q is set when the configured cam is actuated.

Timing diagram (three practical examples)

No1: Daily: 06:30 h to 8:00 h
No2: Tuesday: 03:10 h to 04:15 h
No3: Saturday and Sunday: 16:30 h to 23:10 h

Description of the function
Each weekly timer is equipped with three cams. You can configure a time hysteresis for each individual cam. At the cams you set the on and off hysteresis. The weekly timer sets the output at a certain time, provided it is not already set.

The weekly timer resets the output at the off time if you configured an off time, or at the end of the cycle if you specified a pulse output. A conflict is generated in the weekly timer when the on time and the off time at another cam are identical. In this case, cam 3 takes priority over cam 2, while cam 2 takes priority over cam 1.

The switching status of the weekly timer is determined by the status at the No1, No2 and No3 cams.

On times
The on time is any time between 00:00 h and 23:59 h.

Special characteristics to note when configuring
The block properties window offers a tab for each one of the three cams. Here you can set the day of the week for each cam. Each tab offers you in addition an option of defining the on and off times for each cam in hour and minute units. Hence, the shortest switching cycle is one minute. Also on each tab you have the option of specifying a pulse output for the cam.

You can disable the on and off times individually. You can achieve switching cycles extending across more than one day, for example, by setting the on time for cam 1 to Monday 7:00 h and the off time of cam 2 to Wednesday 13:07 h, while disabling the on time for cam 2.

Backup of the real-time clock
The internal real-time clock of 1/5-Series is buffered against power failure. The buffering time is influenced by the ambient temperature, and is typically 80 hours at an ambient temperature of 25oC.

Overview


Yearly Timer

Short description
The output is controlled by means of a configurable on/off date.

Connection | Description
Parameter | At the No (cam) parameter you set the on and off trigger for the cam of the yearly timer.
Output Q | Q is set on when the configured cam is switched on.

Timing diagram

Description of the function
The yearly timer sets and resets the output at specific on and off times.
The off-date identifies the day on which the output is reset again. The first value defines the month, the second the day.
When you select the Monthly check box, the yearly clock switches on or off at a certain day of Monthly.

Backup of the real-time clock
The internal real-time clock of device is buffered against power failure. The buffering time is influenced by the ambient temperature, and is typically 80 hours at an ambient temperature of 25°C.

Special characteristics to note when configuring
A click on the dialog box enables direct keyboard input of the month and day values. The values entered may not exceed the logical maximum of the relevant input boxes, otherwise returns an error message.

The [image] icon offers you an easy way of setting the date. It opens a window where you can set the days and months by clicking the relevant buttons.

Sample configuration
The output of a device is to be switched on annually, from 1st of March to 4th of April and from 7th of July to 19th of November. This requires two blocks for configuring the specific on times. The outputs are then linked via an OR block.

Place two yearly timer switch SFBs on your programming interface and configure the blocks as specified.

Create a logical link of the blocks via a standard OR block. The OR output is 1 if at least one of the yearly timer switches is set.

Overview


Up/Down Counter

Short description
An input pulse increments or decrements an internal value, depending on the parameter setting. The output is set or reset when a configured threshold is reached. The direction of count can be changed with a signal at input Dir.

Connection Description
Input R You reset the output and the internal counter value to the start value
(StartVal) with a signal at input R (Reset).
Input Cnt This function counts the 0 to 1 transitions at input Cnt. It does not count 1 to
0 transitions.
  • Use the inputs I3, I4, I5, and I6 for high-frequency counts (1/5-Series 12/24 RC/RCo and the 1/5-Series 24/24o): max. 2 kHz.
  • Use any other input or circuit element for low-frequency counts (typically 4 Hz).
Input Dir Input Dir (Direction) determines the direction of count:
Dir = 0: Up
Dir = 1: Down
Parameter On: On threshold
Value range: 0...999999
Off: Off threshold
Value range: 0...999999
StartVal: Initial value from which to begin counting either down or up.
Retentivity on = the status is retentive in memory.
Output Q Q is set and reset according to the actual value at Cnt and the set
thresholds.

Timing diagram

Description of the function
The function increments (Dir = 0) or decrements (Dir = 1) the internal counter by one count with every positive edge at input Cnt.

You can reset the internal counter value to the start value with a signal at the reset input R. As long as R=1, the output Q is 0 and the pulses at input Cnt are not counted.

Output Q is set and reset according to the actual value at Cnt and the set thresholds. See the following rules for calculation.

Calculation rule
If the on threshold >= off threshold, then:
Q = 1, if Cnt >= On
Q = 0, if Cnt < Off.
If the on threshold < off threshold, then:
Q = 1, if On <= Cnt < Off.

Preset On/Off parameters
The preset limit values for the on and/or off parameters can also be derived from the actual value of another, already configured function. You can use the actual values of the following functions:
 | Analog comparators
 | Analog triggers
 | Analog amplifiers
 | Up/Down counters
You select the required function by the block number.

Caution
The function polls the limit value of the counter once in each cycle.

Thus, if the pulses at the fast inputs I3, I4, I5, or I6 are faster than the scan cycle time, the SFB might not switch until the specified limit has been exceeded.

Example: Up to 100 pulses per cycle can be counted; 900 pulses have been counted so far. On = 950; Off = 10000. The output is set in the next cycle, after the value has reached 1000.

The output would not be set at all if the value Off = 980

Overview


Hours Counter

Short description
A configured time is triggered with a signal at the monitoring input. The output is set when this time has expired.

Connection | Description
Input R A positive edge (0 to 1 transition) at input R resets output Q and sets a
configured value MI at the counter for the duration of the time-to-go (MN).
Input En | En is the monitoring input. 1/5-Series scan the On Time of this input.
Input Ral A positive edge at input Ral (Reset all) resets the hours counter (OT) and the
output, and sets the time-to-go value (MN) to the configured maintenance
interval (MI):
  • Output Q = 0
  • The measured operating hours OT = 0
  • The time-to-go of the maintenance interval MN=MI.
Parameter MI: Maintenance interval to be specified in units of hours and minutes
Range of values: 0000...9999 h
OT: Accumulated total operating time. An offset start time can be specified in
OT: hours and minutes.
Range of values: 00000...99999 h
Q [image] 0:
  • When "R" is selected:
    Q = 1, if MN = 0;
    Q = 0, if R = 1 or Ral = 1
  • When "R+En" is selected:
    Q = 1, if MN = 0;
    Q = 0, if R = 1 or Ral = 1 or En = 0.
Output Q The output is set when the time-to-go MN = 0. The output is reset:
  • When "Q 0:R+En",
    if R = 1 or Ral = 1 or En = 0
  • When "Q 0:R",
    if R = 1 or Ral = 1.

Timing diagram

MI = Configured time interval
MN = Time-to-go
OT = Total time expired since the last 1 signal at the Ral input
These values are always retentive.

Description of the function
The hours counter monitors input En. As long as the status at this input is 1, 1/5-Series calculate the expired time and the time-to-go MN. 1/5-Series display these times when set to configuration mode. The output is set to 1 when the time-to-go is equal to zero.

You reset output Q and the time-to-go counter to the specified value MI with a signal at input R. The operation hour counter OT remains unaffected.

You reset output Q and the time-to-go counter to the specified value MI with a signal at input Ral. The operation hour counter OT is reset to 0.

Depending on your configuration of the Q parameter, the output is either reset with a reset signal at input R or Ral ("Q [image] R"), or when the reset signal is 1 or the En signal is 0 ("Q [image] R+En").

Viewing the MI, MN and OT values
In you can fetch the hours counter via the Tools -> Transfer: Hours counter menu command.

Limit value of OT
The value of the operating hours in OT are retained when you reset the hours counter with a signal at input R. The hours counter OT continues the count as long as En = 1, irrespective of the status at the reset input R. The counter limit of OT is 99999 h. The hours counter stops when it reaches this value.

In programming mode, you can set the initial value of OT. The counter starts operation at any value other than zero. MN is automatically calculated at the START, based on the MI and OT values.

Example: MI = 100, OT = 130, the result is MN = 70

Parameter preset
In 1/5-Series, you can define MI and an OT start value.
You determine that Q does not depend on En by selecting the corresponding check box.

Retentivity with the hours counter
The hours counter in 1/5-Series is generally retentive.

However, if the values of the hours counter are lost after a power failure, then select the respective block in your circuit program. Right-click on the hours counter and select Block Properties > Parameters. The option Retentivity must be activated and unchangeable (grayed out).

If the Retentivity option is not available, then delete the block and insert a new special function hours counter at the same position.

Overview


Threshold Trigger

Short description
The output is switched on and off depending on two configurable frequencies.

Connection | Description
Input Fre The function counts 0 to 1 transitions at input Fre.
Transitions from 1 to 0 are not counted.
  • Use the inputs I3, I4, I5, and I6 for high-frequency counts: max. 2 kHz:
  • Use any other input or circuit element for low frequencies (typical 4 Hz).
Parameter On: On threshold
Value range: 0000...9999
Off: Off threshold
Value range: 0000...9999
G_T: Time interval or gate time during which the input pulses are measured.
Value range: 0000...9999
Output Q | Q is set or reset according to the threshold values.

Timing diagram

Description of the function
The trigger measures the signals at input Fre. The pulses are captured during a configurable period G_T.

Q is set or reset according to the set thresholds. See the following calculation rule.

Calculation rule
If the on threshold > off threshold, then:
Q = 1, if fa >= On
Q = 0, if fa < Off.
If the on threshold < off threshold, then:
Q = 1, if On <= fa < Off.

Overview


Analog Comparator

Short description
The output is set or reset depending on two configurable thresholds (hysteresis).

Connection | Description
Inputs Ax, Ay | Input the analog signals of which you want to determine the delta at the inputs Ax and Ay. Use the analog inputs AI1...AI8, the analog flags AM1...AM6, the block number of a function with analog output, or the analog outputs AQ1 and AQ2. AI1..AI8: 0 - 10 V corresponds with 0 - 1000 (internal value).
Parameter | A: Gain Value range: +- 10.00 B: Zero offset Value range: +- 10,000 On: On threshold Value range: +- 20,000 Off: Off threshold Value range: +- 20,000 p: Number of decimals Value range: 0, 1, 2, 3
Output Q | Q is set or reset depending on the set thresholds.

Parameter p (number of decimals)
Parameter p applies only to Ax, Ay, Delta, On and Off values displayed in a message text.
Parameter p does not apply to the comparison of on and off values. (The compare function ignores the decimal point.)

Timing diagram

Description of the function
The function reads the value of the signal at the analog input Ax.

This value is multiplied by the value of parameter A (gain). Parameter B (offset) is added to the product, hence
(Ax * gain) + offset = Actual value Ax.
(Ay * gain) + offset = Actual value Ay.

Output Q is set or reset depending on the difference of the actual values Ax – Ay and the set thresholds. See the following calculation rule.

Calculation rule
If the on threshold >= off threshold, then:
Q = 1, if (actual value Ax - actual value Ay) > On
Q = 0, if (actual value Ax - actual value Ay) <= Off.
If threshold On < threshold Off, then Q = 1, then:
On <= (actual value Ax - actual value Ay) < Off.

Reducing the input sensitivity of the analog comparator
You can delay the output of the analog comparator selectively by means of the "on delay" and "off delay" SFBs. By doing so, you determine that output Q is only set if the input trigger length Trg (= output of the analog comparator) exceeds the defined on delay time.

This way you can set a virtual hysteresis, which renders the input less sensitive to short changes.

Overview


Analog Threshold Trigger

Short description
The output is set or reset depending on two configurable thresholds (hysteresis).

Connection | Description
Input Ax | Input the analog signal to be evaluated at input Ax. Use the analog inputs AI1...AI8, the analog flags AM1...AM6, the block number of a function with analog output, or the analog outputs AQ1 and AQ2. 0 - 10 V is proportional to 0 - 1000 (internal value).
Parameter | A: Gain Value range: +- 10.00 B: Zero offset Value range: +- 10,000 On: On threshold Value range: +- 20,000 Off: Off threshold Value range: +- 20,000 p: Number of decimals Value range: 0, 1, 2, 3
Output Q | Q is set or reset depending on the set thresholds.

Parameter p (number of decimals)
Parameter p applies only to the display of On, Off and Ax values in a message text.
Parameter p does not apply to the comparison of On and Off values. (The compare function ignores the decimal point.)

Timing diagram

Description of the function
The function reads the value of the signal at the analog input Ax.
This value is multiplied by the value of parameter A (gain). Parameter B (offset) is added to the product, hence
(Ax * Gain) + Offset = Actual value Ax.
Output Q is set or reset depending on the set threshold values. See the following calculation rule.

Calculation rule
If the on threshold >= off threshold, then:
Q = 1, if the actual value Ax > On
Q = 0, if the actual value Ax <= Off.
If the on threshold < off threshold, then:
Q = 1, if On <= the actual value Ax < Off.

Particular characteristics to be noted when configuring

Note
The decimal point setting must be identical in the minimum and maximum range.

Overview


Analog Amplifier

Short description
This SFB amplifies an analog input value and returns it at the analog output.

Connection | Description
Input Ax | Input the analog signal to be amplified at input Ax. Use the analog inputs AI1...AI8, the analog flags AM1...AM6, the block number of a function with analog output, or the analog outputs AQ1 and AQ2. AI1..AI8: 0 - 10 V corresponds with 0 - 1000 (internal value).
Parameter | A: Gain Value range: +- 10.00 B: Zero offset Value range: +- 10,000 p: Number of decimals Value range: 0, 1, 2, 3
Output Q | Value range for AQ: -32768...+32767

Parameter p (number of decimals)
Parameter p applies only to the display of Ax and Ay values in a message text.
Parameter p does not apply to the comparison of On and Off values. (The compare function ignores the decimal point.)

Description of the function
The function reads the value of an analog signal at the analog input Ax.

This value is multiplied by the gain parameter A. Parameter B (offset) is added to the product, as follows:
(Ax * gain) + offset = Actual value Ax.
The actual value Ax is output at AQ.

Analog output
If you connect this special function to a real analog output, then note that the analog output can only process values from 0 to 1000. To do this, connect an additional amplifier between the analog output of the special function and the real analog output. With this amplifier you standardize the output range of the special function to a value range of 0 to 1000.

Overview


Analog Watchdog

Short description
This special function saves the process variable of an analog input to memory, and sets the output when the output variable exceeds or drops below this stored value plus a configurable offset.

Connection | Description
Input En | A positive edge (0 to 1 transition) at input En saves the analog value at input Ax ("Aen") to memory and starts monitoring of the analog range Aen +- Delta.
Input Ax | You apply the analog signal to be monitored at input Ax. Use the analog inputs AI1...AI8, the analog flags AM1...AM6, the block number of a function with analog output, or the analog outputs AQ1 and AQ2. AI1..AI8: 0 - 10 V corresponds with 0 - 1000 (internal value).
Parameter | A: Gain Value range: +- 10.00 B: Zero offset Value range: +- 10,000 Delta1: Difference value above Aen: on/off threshold Value range: 0 - 20,000 Delta2: Difference value below Aen: on/off threshold Value range: 20,000 - 0 p: Number of decimals Value range: 0, 1, 2, 3
Output Q | Q is set/reset, depending on the stored analog value and the offset.

Parameter p (number of decimals)
Parameter p applies only to the display of Aen, Ax, Delta1 and Delta2 values in a message text.

Timing diagram

Description of the function
A 0 to 1 transition at input En saves the value of the signal at the analog input Ax. This saved process variable is referred to as "Aen".

Both the analog actual values Ax and Aen are multiplied by the value at parameter A (gain), and parameter B (offset) is then added to the product, as follows:
(Ax * gain) + offset = Actual value Aen, when input En changes from 0 to 1, or
(Ax * gain) + offset = Actual value Ax.

Output Q is set when the signal at input En = 1 and if the actual value at input Ax is out of range of Aen + Delta1 / Aen - Delta2.

Output Q is reset, when the actual value at input Ax lies within the range of Aen + Delta1 / Aen - Delta2, or when the signal at input En changes to lo.

Overview


Analog Differential Trigger

Short description
The output is set and reset depending on a configurable threshold and a differential value.

Connection | Description
Input Ax | You apply the analog signal to be analyzed at input Ax. Use the analog inputs AI1...AI8, the analog flags AM1...AM6, the block number of a function with analog output, or the analog outputs AQ1 and AQ2. 0 - 10 V is proportional to 0 - 1000 (internal value).
Parameter | A: Gain Value range: +- 10.00 B: Zero offset Value range: +- 10,000 On: On threshold Value range: +- 20,000 Delta: Differential value for calculating the off parameter Value range: +- 20,000 p: Number of decimals Value range: 0, 1, 2, 3
Output Q | Q is set or reset, depending on the threshold and difference values.

Parameter p (number of decimals)
Parameter p applies only to the display of On, Off and Ax values in a message text.
Parameter p does not apply to the comparison of On and Off values. (The compare function ignores the decimal point.)

Timing diagram A: Function with negative difference Delta

Timing diagram B: Function with positive difference Delta

Description of the function
The function fetches the analog signal at input Ax.

Ax is multiplied by the value of the A (gain) parameter, and the value at parameter B (offset) is added to product, i.e. (Ax * gain) + offset = actual value of Ax.

Output Q is set or reset, depending on the set (On) threshold and difference value (Delta). The function automatically calculates the Off parameter: Off = On + Delta, whereby Delta may be positive or negative. See the calculation rule below.

Calculation rule
When you set a negative differential value Delta, the On threshold >= Off threshold, and:
Q = 1, if the actual value Ax > On
Q = 0, if the actual value Ax <= Off.
See the timing diagram A.
When you set a positive differential value Delta, the On threshold < the Off threshold, and:
Q = 1, if On <= the actual value Ax < Off.
See the timing diagram B.

Overview


Latching Relay

Short description
A signal at input S sets output Q. A signal at input R resets output Q.

Connection | Description
Inputs S | Set output Q with a signal at input S (Set).
Inputs R | Reset output Q with a signal at input R (Reset). Output Q is reset if S and R are both set (reset has priority over set).
Parameter | Retentivity set (on) = the status is retentive in memory.
Output Q | Q is set with a signal at input S and remains set until it is reset with signal at input R.

Timing diagram

Description of the function
The latching relay represents a simple binary memory logic. The output value depends on the input states and the previous status at the output.

Logic table of the latching relay:

S | R | Q | Remark
0 | 0 | x | Status unchanged
0 | 1 | 0 | Reset
1 | 0 | 1 | Set
1 | 1 | 0 | Reset

When retentivity is enabled, the output signal corresponds with the signal status prior to the power failure.

Overview


Pulse Relay

Short description
The output is set and reset with a short one-shot at the input.

Connection | Description
Input Trg | You switch output Q on or off with a signal at input Trg (Trigger) input.
Input S | A one-shot at input S (Set) sets the output to logical 1.
Input R | A one-shot at input R (Reset) resets the output to logical 0
Parameter | Selection: RS (input R priority), or SR (input S priority) Retentivity on = the status is retentive in memory.
Output Q | Q is switched on with a signal at Trg and is reset again at the next Trg pulse, if both S and R = 0.

Timing diagram

Description of the function
The status of output Q changes with each 0 to 1 transition at input Trg and if both S and R = 0, that is, the output is switched on or off.

Input Trg does not influence the SFB when S = 1 or R = 1.

A one-shot at input S sets the pulse relay, that is, the output is set to logical 1.

A one-shot at input R resets the pulse relay to its initial state, that is, the output is set to logical 0.

Either the input R takes priority over input S (the signal at input S has no effect as long as R = 1), or the input S takes priority over input R (the signal at input R has no effect as long as S = 1), depending on your configuration.

Caution
If Trg = 0 and Par = RS, the "Pulse relay" SFB corresponds with the "Latching relay" SFB function.

Overview


Message Text

Short description
This function displays message texts and parameters of other blocks on 1/5-Series when it is in RUN mode.

Connection | Description
Inputs En | A 0 to 1 transition at En (Enable) triggers the output of the message text.
Inputs P | P is the priority of the message text. 0 is the lowest, 127 the highest priority. Ack: Acknowledgement of the message text.
Parameter | Text: Input of the message text Par: Parameter or actual value of another, already configured , which can be displayed numerically or as a bar graph (see "Visible parameters or actual values") Time: Shows the continuously updated time-of-day Date: Shows the continuously updated date EnTime: Display of the time of the 0 to 1 transition EnDate: Display of the date of the 0 to 1 transition
Output Q | Q remains set as long as the message text is queued.

Description of the function
With a 0 to 1 transition of the signal at input En, the display outputs your configured message text (actual value, text, TOD, date) in RUN mode.

Acknowledgement disabled (Ack = Off):

The message text is hidden with a 0 to 1 signal transition at input En.

Acknowledgement enabled (Ack = On):

After input En is reset to 0, the message text is displayed until acknowledged by pressing the OK button. The message text cannot be acknowledged as long as input En is high.

If several message text functions were triggered with En=1, the message with the highest priority (0 = lowest, 30 = highest) is displayed. This also implies that a new message text is only displayed if its priority is higher than that of previously enabled message texts.

After a message text is disabled or acknowledged, the function automatically shows the previously active message text that takes the highest priority.

Restrictions
Up to 16 message text functions are available.

Overview


Shift Register

Short description
The shift register function can be used to read an input value and to shift the bits. The output value corresponds with the configured shift register bit. The shift direction can be changed at a special input.

Connection | Description
Input In | The function when started reads this input value.
Input Trg | The SFB is started with a positive edge (0 to 1 transition) at input Trg (Trigger). A 1 to 0 transition is irrelevant.
Input Dir | You define the shift direction of the shift register bits S1...S8 at the Dir input: Dir = 0: shift up (S1 >> S8) Dir = 1: shift down (S8 >> S1)
Parameter | Shift register bit that determines the value of output Q. Possible settings: S1 ... S8 Retentivity on = the status is retentive in memory.
Output Q | The output value corresponds with the configured shift register bit.

Timing diagram

Description of the function
The function reads the value of input In with a positive edge (0 to 1 transition) at input Trg (Trigger).

This value is written to shift register bits S1 or S8, depending on the set shift direction:
Shift up: S1 accepts the value of input In; the previous value of S1 is shifted to S2, S2 is shifted to S3, etc.
Shift down: S8 accepts the value of input In; the previous value of S8 is shifted to S7, S7 is shifted to S6, etc.

Q outputs the value of the configured shift register bits.
If retentivity is not enabled, the shift function restarts at S1 or S8 after a power failure.

Note
The special function shift register can be used only once in the circuit program.

Overview


Modbus Read

Short Description
When the signal at En is high, the Modbus Read block will be activated and the controller can communicate with a peripheral device as a master via RS232 or RS485 interface. Furthermore, the output will be switched on if the communication is established successfully, otherwise the output remains "off" if the communication is failed.

A signal at input R resets output Q and disables the block at the same time.

Connection | Description
Input En | A high signal at En input activates the "Modbus Read" function block.
Input R | Reset the value read from peripheral and set the output to 0 via the input R (Reset). Reset has higher priority than En.
Parameter | Slave address : 1 ~ 255, the default value is 1. Port(Master) : COM0(RS232) or COM1(RS485) or COM2(RS485) (The communication interface of 1/5-Series controllers.) Command : Modbus function code : 01 Read Coils(0x) 02 Read Discrete Inputs(1x) 03 Read Holding Registers(4x) 04 Read Input Registers(3x) Register Address : The address of the first coil/input/register to be read data. Count : The total number of coils/inputs/registers requested. count <= 128 , if command = 01 or 02. count <= 32, if command = 03 or 04. Data Address : The starting address of the memoy to store the read data.
Output Q | Q is set or reset depending on the communication status. Q=1, if the communication is successful. Q=0, if the communication is failed.
Note : This function is available only if the Model of COM Port is set to Master.

Example : Read the status of the digital input I6 (address = 00007) of a Slave controller, which is a remote I/O module and its Slave Address is 2, and then save the status of I6 to M3 via COM1(RS485).
Setp 1 : Place a Modbus Read function block into your circuit program and set the parameters.
(1). Slave Address = 2
(2). Port(Master) = COM1(RS485)
(3). Command = 01 Read Coils(0x)
(4). Register Address = 6 (Modbus address = 00007, start address = 0007 - 1 = 0006)
(5). Count = 1
(6). Data Address = M3

Step 2 : Make the following settings.
(1). Options [image] Properties [image] COM1 : Model = Master.
(2). Choose a protocol and communication settings.

Step 3 : When En =1, controller sends the Modbus messages via COM1 continuously.
 | Q=1, if communication is successful.
 | Q=0, if communication is failed.

Note : The numbers of Q, I, AI, AQ and AM in Data Address are continuous. In Example 3 below, the number of Q should be set as Q16 instead of Q100. The same rule is applicable to I, AI, AQ and AM. The rule is also applicable to the Modbus Write function block.

The following table illustrates how to set the parameters.
MODEL | Modbus Dialog Box | I,Q,AI,AQ Number | I,Q,AI,AQ Block
Main | I0-I31 | I000-I031 | Main : I0-31
 | Q0-Q15 | Q000-Q015 | Main : Q0-Q15
 | AI0-AI7 | AI000-AI007 | Main : AI0–AI7
 | AQ0-AQ3 | AQ000-AQ003 | Main : AQ0-AQ3
Expansion 1 (Ext1) | I32-I63 | I100-I131 | Ext1 : I0 - I31
 | Q16-Q31 | Q100-Q115 | Ext1 : Q0-Q15
 | AI8-AI15 | AI100-AI107 | Ext1 : AI0-AI7
 | AQ4-AQ7 | AQ100-AQ103 | Ext1 : AQ0-AQ3
Expansion 2 (Ext2) | I64-I95 | I200-I231 | Ext2 : I0-I31
 | Q32-Q47 | Q200-Q215 | Ext2 : Q0-Q15
 | AI16-AI23 | AI200-AI207 | Ext2 : AI0-AI7
 | AQ8-AQ11 | AQ200-AQ203 | Ext2 : AQ0-AQ3
The contents of Ext3 ~ Ext7 are the same as Ext1's and Ext2's.

Data format instructions
Name | Data format
I , Q , M | Bit
AI , AQ , AM | Signed Short Integer (16 bits)

Overview


Modbus Write

Short Description
When the signal at En is high, the Modbus Write block will be activated and the controller can communicate with a peripheral device as a master via RS232 or RS485 interface. Furthermore, the output will be switched on if the communication is established successfully, otherwise the output remains "off" if the communication is failed.

A signal at input R resets output Q and disables the block at the same time.

Connection | Description
Input En | A high signal at En input activates the "Modbus Write" function block.
Input R | Reset the output. Reset has higher priority than En.
Parameter | Slave address : 1 ~ 255, the default value is 1. Port(Master) : COM0(RS232) or COM1(RS485) or COM2(RS485) (The communication interface of 1/5-Series controllers.) Command : Modbus function code : 05 Write Single Coil 06 Write Single Register 15 Write Multiple Coils 16 Write Multiple Registers Register Address : The address of the first coil/register to store the read data. Count : The total number of coils/registers written. count = 1 , if command = 05 or 06. count <= 32 , if command = 15. count <= 2, if command = 16. Writing Mode : The mode can be either of the following options: Auto [image] Data Address : The starting address of the memoy to be read data. The data is then written to Register Address. Manual : The assigned value is written to Register Address.
Output Q | Q is set or reset depending on the communication status. Q=1, if the communication is successful. Q=0, if the communication is failed.
Note : This function is available only if the Model of COM Port is set to Master.

Example : Write the status of the digital input I6 (address = 00007) of a Master controller to the digital output Q2 (address = 00018) of a Slave controller via COM1(RS485). The Slave module is a remote I/O module and its Slave Address is 1.
Setp 1 : Place a Modbus Write function block into your circuit program and set the parameters.
(1). Slave Address = 1
(2). Port(Master) = COM1(RS485)
(3). Command = 05 Write Single Coil
(4). Register Address = 0017 (Modbus address = 00018, start address = 0018 - 1 = 0017)
(5). Count = 1
(6). Data Address = I6

Step 2 : Make the following settings.
(1). Options [image] Properties [image] COM1 : Model = Master.
(2). Choose a protocol and communication settings.

Step 3 : When En =1, controller sends the Modbus messages via COM1 continuously.
 | Q=1, if communication is successful.
 | Q=0, if communication is failed.

Note : The numbers of Q, I, AI, AQ and AM in Data Address are continuous. In Example 3 below, the number of Q should be set as Q16 instead of Q100. The same rule is applicable to I, AI, AQ and AM. The rule is also applicable to the Modbus Read function block.

The following table illustrates how to set the parameters.
MODEL | Modbus Dialog Box | I,Q,AI,AQ Number | I,Q,AI,AQ Block
Main | I0-I31 | I000-I031 | Main : I0-31
 | Q0-Q15 | Q000-Q015 | Main : Q0-Q15
 | AI0-AI7 | AI000-AI007 | Main : AI0–AI7
 | AQ0-AQ3 | AQ000-AQ003 | Main : AQ0-AQ3
Expansion 1 (Ext1) | I32-I63 | I100-I131 | Ext1 : I0 - I31
 | Q16-Q31 | Q100-Q115 | Ext1 : Q0-Q15
 | AI8-AI15 | AI100-AI107 | Ext1 : AI0-AI7
 | AQ4-AQ7 | AQ100-AQ103 | Ext1 : AQ0-AQ3
Expansion 2 (Ext2) | I64-I95 | I200-I231 | Ext2 : I0-I31
 | Q32-Q47 | Q200-Q215 | Ext2 : Q0-Q15
 | AI16-AI23 | AI200-AI207 | Ext2 : AI0-AI7
 | AQ8-AQ11 | AQ200-AQ203 | Ext2 : AQ0-AQ3
The contents of Ext3 ~ Ext7 are the same as Ext1's and Ext2's.
:

Data format instructions
Name | Data format
I , Q , M | Bit
AI , AQ , AM | Signed Short Integer (16 bits)

Overview


Search By Name

Edit [image] Search By Name

This command searches the specific block according to its block name on the programming interface.


Insert Comments
You can label your circuit diagram with this function. Doing this makes your program more human-readable. Note that comments are irrelevant to blocks. Click here for more information on how to label your blocks

Follow the below steps.
 | 1. | Click the Insert Comments icon.
 | 2. | Place the label to the proper position.
 | 3. | Right click on the label.
 | 4. | Input your comments and then press the OK button.
 | 5. | That is what the label looks like.
 | 6. | The label keeps its position after the block is moved away.


Zoom In

It lets you zoom in your layout directly to certain zoom factors, which are as follows.

25(min) [image] 50 [image] 75 [image] 100(default) [image] 150 [image] 200 [image] 250 [image] 300 [image] 400(max)


Zoom Out

It lets you zoom out your layout directly to certain zoom factors, which are as follows.

25(min) [image] 50 [image] 75 [image] 100(default) [image] 150 [image] 200 [image] 250 [image] 300 [image] 400(max)


Page Layout

You can see the figure below by clicking the icon.

Horizontal : Specify the number of columns of the layout.
Vertical : Specify the number of rows of the layout.
Use As Default : Make the previous numbers as the default value of the layout.


Placing Blocks

A right-click on an object opens a shortcut menu that offers you various object editing options. The editing options depend on the selected object. Objects consist of not only blocks and connecting lines, but also the programming interface and toolbars.

You can also call help on the selected object in the shortcut menu.

Configuring blocks
Double-click with the left mouse button to configure block properties. The properties dialog includes a Comment tab as well as various parameter tabs for the SFBs, and for some of the basic functions and constants and connectors. You specify here the values and settings for your blocks. Help on the parameters of the relevant block can be called by clicking the help button.

Special functions can be recognized by the green lettering to the left of the block on the programming interface.